org.eclipse.actf.visualization.ui.report.table

## Class MetricsLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.actf.visualization.ui.report.table.MetricsLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class MetricsLabelProvider
    extends org.eclipse.jface.viewers.LabelProvider
    implements org.eclipse.jface.viewers.ITableLabelProvider

### Constructor Summary

Constructors
Constructor and Description
`MetricsLabelProvider()`

### Method Summary

Methods
`org.eclipse.swt.graphics.Image` `getColumnImage(Object arg0, int arg1)`
`String` `getColumnText(Object arg0, int arg1)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### MetricsLabelProvider

    public MetricsLabelProvider()

### Method Detail

#### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(Object arg0,
                                                int arg1)

Specified by:
  `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

#### getColumnText

    public String getColumnText(Object arg0,
                       int arg1)

Specified by:
  `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`